package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.task.entity.TaskEntity;
import com.ycwl.basic.model.pc.task.req.TaskReqQuery;
import com.ycwl.basic.model.pc.task.resp.TaskRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 14:06
 * 任务列表
 */
@Mapper
public interface TaskMapper {
    List<TaskRespVO> list(TaskReqQuery taskReqQuery);

    TaskRespVO getById(Long id);

    int add(TaskEntity task);

    int deleteById(Long id);

    int update(TaskEntity task);

    int updateStatus(Long id, Integer status);

    /**
     * 用户制作中的视频数量
     *
     * @param userId
     * @return
     */
    int countByMemberIdStau(String userId);

    /**
     * 用户合成的视频
     *
     * @param userId
     * @return
     */
    int countByMemberIdStauFinish(String userId);

    List<TaskRespVO> selectNotRunning();

    void assignToWorker(@Param("taskId") Long taskId, @Param("workerId") Long workerId);
    void deassign(@Param("taskId") Long taskId);
}
