package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.mobile.goods.GoodsDetailVO;
import com.ycwl.basic.model.mobile.goods.GoodsPriceQueryReq;
import com.ycwl.basic.model.mobile.goods.GoodsReqQuery;
import com.ycwl.basic.model.mobile.goods.GoodsPageVO;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 15:03
 */
public interface GoodsService {

    /**
     * 查询商品列表
     * @param query 查询条件
     * @return
     */
    ApiResponse<List<GoodsPageVO>> goodsList(GoodsReqQuery query);

    /**
     * 查询源素材商品列表
     * @param query
     * @return
     */
    ApiResponse<List<GoodsDetailVO>> sourceGoodsList(GoodsReqQuery query);

    /**
     * 查询订单应付价格
     * @param queryPriceData
     * @return
     */
    ApiResponse<BigDecimal> queryPrice(GoodsPriceQueryReq queryPriceData);

    /**
     *
     * @param goodsId 商品（vlog）id
     * @return
     */
    ApiResponse<GoodsDetailVO> videoGoodsDetail(Long goodsId);
}
